> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.apologist.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.apologist.ai/_mcp/server.

# Instagram Integration Privacy Policy

GET https://your-agent-domain.com/api/v1/channels/{id}/instagram/privacy

Returns a static HTML privacy policy page for the Instagram integration.

Reference: https://docs.apologist.ai/agent-api/api-reference/channels/get-instagram-privacy-policy

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: agent-api
  version: 1.0.0
paths:
  /channels/{id}/instagram/privacy:
    get:
      operationId: getInstagramPrivacyPolicy
      summary: Instagram Integration Privacy Policy
      description: Returns a static HTML privacy policy page for the Instagram integration.
      tags:
        - channels
      parameters:
        - name: id
          in: path
          description: The channel id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Privacy policy HTML
          content:
            application/json:
              schema:
                type: object
                properties: {}
servers:
  - url: https://your-agent-domain.com/api/v1
    description: Production server

```

## Examples



**Response**

```json
"string"
```

**SDK Code**

```typescript
import { ApologistAgentClient } from "apologist";

async function main() {
    const client = new ApologistAgentClient();
    await client.channels.getInstagramPrivacyPolicy("id");
}
main();

```

```python
from apologist import ApologistAgent

client = ApologistAgent()

client.channels.get_instagram_privacy_policy(
    id="id",
)

```

```java
package com.example.usage;

import ai.apologist.AgentClient;
import ai.apologist.resources.channels.requests.GetInstagramPrivacyPolicyRequest;

public class Example {
    public static void main(String[] args) {
        AgentClient client = AgentClient
            .builder()
            .build();

        client.channels().getInstagramPrivacyPolicy(
            "id",
            GetInstagramPrivacyPolicyRequest
                .builder()
                .build()
        );
    }
}
```

```ruby
require "apologist"

client = Apologist::AgentClient.new

client.channels.get_instagram_privacy_policy(id: "id")

```

```csharp
using Apologist;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new AgentClient();

        await client.Channels.GetInstagramPrivacyPolicyAsync(
            new GetInstagramPrivacyPolicyRequest {
                Id = "id"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    apgsdkgo "github.com/apologist-project/apg-sdk-go"
    client "github.com/apologist-project/apg-sdk-go/client"
)

func do() {
    client := client.NewApologistAgentClient()
    request := &apgsdkgo.GetInstagramPrivacyPolicyRequest{
        ID: "id",
    }
    client.Channels.GetInstagramPrivacyPolicy(
        context.TODO(),
        request,
    )
}

```

```php
<?php

namespace Example;

use Apologist\AgentClient;

$client = new AgentClient();
$client->channels->getInstagramPrivacyPolicy(
    'id',
);

```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://your-agent-domain.com/api/v1/channels/id/instagram/privacy")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```